com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface RuleStatementItem

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface RuleStatementItem
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Rule Statement Item'.

  The following features are supported:

  - `Reference`
  - `Text`
  - `Disabled`
  - `Row Height`
  - `Rule Statement`
  See Also:
    `DecisiontablePackage.getRuleStatementItem()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionCell` | `getReference()` Returns the value of the 'Reference' containment reference
    `int` | `getRowHeight()` Returns the value of the 'Row Height' attribute
    `RuleStatement` | `getRuleStatement()` Returns the value of the 'Rule Statement' reference
    `org.eclipse.emf.common.util.EList` | `getText()` Returns the value of the 'Text' containment reference list.
    `boolean` | `isDisabled()` Returns the value of the 'Disabled' attribute
    `void` | `setDisabled(boolean value)` Sets the value of the '`Disabled`' attribute
    `void` | `setReference(ExpressionCell value)` Sets the value of the '`Reference`' containment reference
    `void` | `setRowHeight(int value)` Sets the value of the '`Row Height`' attribute
    `void` | `setRuleStatement(RuleStatement value)` Sets the value of the '`Rule Statement`' reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getReference

          ExpressionCell getReference()

      Returns the value of the 'Reference' containment reference.

      If the meaning of the 'Reference' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Reference' containment reference.
      See Also:
        `setReference(ExpressionCell)`, `DecisiontablePackage.getRuleStatementItem_Reference()`

    - #### setReference

          void setReference(ExpressionCell value)

      Sets the value of the '`Reference`' containment reference.
      Parameters:
        `value` - the new value of the 'Reference' containment reference.
      See Also:
        `getReference()`

    - #### getText

          org.eclipse.emf.common.util.EList getText()

      Returns the value of the 'Text' containment reference list. The list contents are of type `ExpressionCell`.

      If the meaning of the 'Text' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Text' containment reference list.
      See Also:
        `DecisiontablePackage.getRuleStatementItem_Text()`

    - #### isDisabled

          boolean isDisabled()

      Returns the value of the 'Disabled' attribute.

      If the meaning of the 'Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `setDisabled(boolean)`, `DecisiontablePackage.getRuleStatementItem_Disabled()`

    - #### setDisabled

          void setDisabled(boolean value)

      Sets the value of the '`Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Disabled' attribute.
      See Also:
        `isDisabled()`

    - #### getRowHeight

          int getRowHeight()

      Returns the value of the 'Row Height' attribute.

      If the meaning of the 'Row Height' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Row Height' attribute.
      See Also:
        `setRowHeight(int)`, `DecisiontablePackage.getRuleStatementItem_RowHeight()`

    - #### setRowHeight

          void setRowHeight(int value)

      Sets the value of the '`Row Height`' attribute.
      Parameters:
        `value` - the new value of the 'Row Height' attribute.
      See Also:
        `getRowHeight()`

    - #### getRuleStatement

          RuleStatement getRuleStatement()

      Returns the value of the 'Rule Statement' reference.

      If the meaning of the 'Rule Statement' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Rule Statement' reference.
      See Also:
        `setRuleStatement(RuleStatement)`, `DecisiontablePackage.getRuleStatementItem_RuleStatement()`

    - #### setRuleStatement

          void setRuleStatement(RuleStatement value)

      Sets the value of the '`Rule Statement`' reference.
      Parameters:
        `value` - the new value of the 'Rule Statement' reference.
      See Also:
        `getRuleStatement()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.